%define  reldate 1

Summary: RPM installer/updater
Name:    yum
Version: 2.0.8
Release: 2.2.%{mysig}
License: GPL
Group:   System Environment/Base
Source0: yum-%{version}.tar.gz
Source5: yum.sysconfig
Source6: yum.cron
Source7: centos-yum.conf
Source8: yum.conf-ker.repo
Source9: README.protectbase
Patch0:  yum-2.0.8-ia32e.patch
Patch9:  yum-protectbase.patch
URL:     http://linux.duke.edu/projects/yum/
BuildRequires: python
BuildArch: noarch
Requires:  python, rpm-python >= 4.1.1, libxml2-python, gettext
PreReq:    /sbin/chkconfig, /sbin/service
BuildRoot: %{_tmppath}/%{name}-%{version}root

%description
Yum is a utility that can check for and automatically download and
install updated RPM packages. Dependencies are obtained and downloaded 
automatically prompting the user as necessary.

%prep
%setup -q -n yum-%{version}
%patch0 -p1
%patch9 -p1 -b .protect
cp -a %{SOURCE9} .

%build
%configure 
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
install -m 644 %{S:5} $RPM_BUILD_ROOT/etc/sysconfig/yum.cron
install -m 644 %{S:6} $RPM_BUILD_ROOT/etc/cron.daily/yum.cron
install -m 644 %{S:7} $RPM_BUILD_ROOT/etc/yum.conf
# add ker.rhel3 repository to the main config file /etc/yum.conf
{ echo; cat %{S:8}; } >> $RPM_BUILD_ROOT/etc/yum.conf

# czech PO file disabled (wrong locale initializition without UTF-8)
rm -rf $RPM_BUILD_ROOT%{_datadir}/locale/cs

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add yum
/sbin/service yum condrestart >> /dev/null
exit 0

%preun
if [ $1 = 0 ]; then
 /sbin/chkconfig --del yum
 /sbin/service yum stop >> /dev/null
fi
exit 0

%files 
%defattr(-, root, root)
%doc README README.protectbase AUTHORS COPYING TODO INSTALL
%config(noreplace) %{_sysconfdir}/yum.conf
%config(noreplace) %attr(755,root,root) %{_sysconfdir}/cron.daily/yum.cron
%config(noreplace) %{_sysconfdir}/sysconfig/yum.cron
%config %{_sysconfdir}/init.d/%{name}
%config %{_sysconfdir}/logrotate.d/%{name}
%{_datadir}/yum/*
%{_bindir}/yum
%{_bindir}/yum-arch
/var/cache/yum
%{_mandir}/man*/*
#%lang(cs) %{_datadir}/locale/cs/LC_MESSAGES/yum.mo
%lang(es) %{_datadir}/locale/es/LC_MESSAGES/yum.mo
%lang(ru) %{_datadir}/locale/ru/LC_MESSAGES/yum.mo
%lang(uk) %{_datadir}/locale/uk/LC_MESSAGES/yum.mo

%changelog
* Mon Nov 17 2008 Milan Kerslager <kerslage@linux.cz> 2.0.8-2.2.ker.rhel3
- fix domain name (vslib.cz -> tul.cz)

* Sat Aug 26 2006 Milan Kerslager <kerslage@linux.cz>
- update to be ahead of CentOS 3.8
- patch from 2.0.8-2.centos3 update:
    - add ia32e archdict http://bugs.centos.org/view.php?id=899
    - fasttrack addded (disabled by default)
- /etc/yum.conf should have centos-release instead of redhat-release

* Wed Mar 29 2006 Milan Kerslager <kerslage@linux.cz> 2.0.8-1.3.ker.rhel3
- my repository: RHEL-3 != Tao-1.0

* Sun Mar 26 2006 Milan Kerslager <kerslage@linux.cz> 2.0.8-1.2.ker.rhel3
- fix weekly cleaning
- fix URLs

* Wed Dec 08 2004 Milan Kerslager <kerslage@linux.cz> 2.0.8-1.1.ker.rhel3
- fix for timer handling code by original author

* Tue Oct 19 2004 Milan Kerslager <kerslage@linux.cz> 2.0.8-1.0.ker.rhel3
- updated to 2.0.8
- timer in cronjob taken from Tao Linux

* Fri Jul 16 2004 Milan Kerslager <kerslage@linux.cz> 2.0.7-1.3.ker.rhel3
- removed czech PO file because non-working UTF-8 -> ISO8859-2 conversion

* Thu Jul 15 2004 Milan Kerslager <kerslage@linux.cz> 2.0.7-1.2.ker.rhel3
- bump release to be ahead of WBEL numbering

* Sat Jun 05 2004 Milan Kerslager <kerslage@linux.cz> 2.0.7-1.ker.rhel3
- update to latest release
- czech PO file removed because wronk locale inicialization

* Fri Mar 19 2004 Milan Kerslager <kerslage@linux.cz> 2.0.6-0.1.ker.rhel3
- new release
- /etc/yum.conf fixed

* Wed Feb 25 2004 Milan Kerslager <kerslage@linux.cz> 2.0.5-1.1.ker.rhel3
- /etc/cron.daily/yum.cron fixed (test expression)

* Mon Feb 23 2004 Milan Kerslager <kerslage@linux.cz> 2.0.5-1.0.ker.rhel3
- updated to 2.0.5
- /etc/yum.conf fixed

* Tue Jan 20 2004 Milan Kerslager <kerslage@linux.cz> 2.0.4-2.1.20040103.ker.rhel3
- update to 20040103
- /etc/yum.conf fixed

* Sat Jan 03 2004 Milan Kerslager <kerslage@linux.cz> 2.0.4-2.1.20031222_WB3
- update to 20031222

* Wed Dec 17 2003 Milan Kerslager <kerslage@linux.cz>
- updated to yum-20031205

* Sun Oct 26 2003 Milan Kerslager <kerslage@linux.cz>
- do not send empty emails

* Thu Oct 23 2003 Milan Kerslager <kerslage@linux.cz> 2.0.4-0.4.9
- send stderr to mail too (yum.cron)

* Wed Oct 22 2003 Milan Kerslager <kerslage@linux.cz> 2.0.4-0.3.9
- added /etc/sysconfig/yum.cron for user customization of /etc/cron.daily/yum.cron
- file attributes fixes

* Wed Oct 22 2003 Milan Kerslager <kerslage@linux.cz> 2.0.4-0.1.9
- rebuild for RH 9
- noreplace for yum.cron
- based on FC1 yum package
